Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Cloud Desktop
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • Serverless Integrations
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens neuroanalyst
  • Gallery in DataLens
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] Get editor chart
        • Delete editor chart
        • 🚧 [Experimental] Create editor chart
        • 🚧 [Experimental] Update editor chart
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • EntryBranch
  • Responses
  • 200 OK
  • Body
  • EditorTableNode
  • EditorGravityChartsNode
  • EditorMarkdownNode
  • EditorAdvancedChartNode
  • EditorSelectorNode
  1. DataLens Public API
  2. DataLens API
  3. Editor
  4. 🚧 [Experimental] Get editor chart
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
    • EntryBranch
  • Responses
  • 200 OK
    • Body
    • EditorTableNode
    • EditorGravityChartsNode
    • EditorMarkdownNode
    • EditorAdvancedChartNode
    • EditorSelectorNode

🚧 [Experimental] Get editor chart

Returns the specified Editor chart.

RequestRequest

POST

https://api.datalens.tech/rpc/getEditorChart

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

x-dl-audit-mode

Type: string

Const: true

Example: ``

BodyBody

application/json
{
  "chartId": "example",
  "workbookId": "example",
  "revId": "example",
  "includePermissions": true,
  "includeLinks": true,
  "includeFavorite": true,
  "branch": "saved"
}

Name

Description

chartId

Type: string

ID of the Editor chart to return. You can find it in the chart settings in DataLens interface.

Example: example

branch

Type: EntryBranch

Entry branch: saved or published.

Enum: saved, published

includeFavorite

Type: boolean

Include favorite status in the response.

includeLinks

Type: boolean

Include information on configured links in the response.

includePermissions

Type: boolean

Include information on configured permissions in the response.

revId

Type: string

Version ID for the Editor chart.

Example: example

workbookId

Type: string | null

ID of the workbook the Editor chart belongs to. If navigation across folders is enabled and the Editor chart belongs to a folder, the value must be null.

Example: example

EntryBranchEntryBranch

Entry branch: saved or published.

Type: string

Enum: saved, published

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "entry": {
    "version": 1,
    "entryId": "example",
    "key": null,
    "createdAt": "example",
    "createdBy": "example",
    "updatedAt": "example",
    "updatedBy": "example",
    "revId": "example",
    "savedId": "example",
    "publishedId": "example",
    "tenantId": "example",
    "hidden": true,
    "public": true,
    "workbookId": null,
    "scope": "widget",
    "meta": {},
    "links": {},
    "annotation": {
      "description": "example"
    },
    "type": "table_node",
    "data": {
      "meta": "example",
      "params": "example",
      "sources": "example",
      "controls": "example",
      "prepare": "example",
      "config": "example"
    }
  },
  "isFavorite": true,
  "permissions": {
    "execute": true,
    "read": true,
    "edit": true,
    "admin": true
  }
}

Name

Description

entry

One of 5 types
  • Type: EditorTableNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "table_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorGravityChartsNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "d3_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example",
        "config": "example"
      }
    }
    
  • Type: EditorMarkdownNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "markdown_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorAdvancedChartNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "advanced-chart_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example",
        "prepare": "example"
      }
    }
    
  • Type: EditorSelectorNode

    Example
    {
      "version": 1,
      "entryId": "example",
      "key": null,
      "createdAt": "example",
      "createdBy": "example",
      "updatedAt": "example",
      "updatedBy": "example",
      "revId": "example",
      "savedId": "example",
      "publishedId": "example",
      "tenantId": "example",
      "hidden": true,
      "public": true,
      "workbookId": null,
      "scope": "widget",
      "meta": {},
      "links": {},
      "annotation": {
        "description": "example"
      },
      "type": "control_node",
      "data": {
        "meta": "example",
        "params": "example",
        "sources": "example",
        "controls": "example"
      }
    }
    
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

isFavorite

Type: boolean

Indicates if the chart is marked as favorite.

permissions

Type: object

admin

Type: boolean

Indicates if there are permissions for admin.

edit

Type: boolean

Indicates if there are permissions to edit.

execute

Type: boolean

Indicates if there are permissions to execute.

read

Type: boolean

Indicates if there are permissions to read.

Permissions for the chart.

Example
{
  "execute": true,
  "read": true,
  "edit": true,
  "admin": true
}

EditorTableNodeEditorTableNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Table Editor charts takes value: table_node

Const: table_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "table_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorGravityChartsNodeEditorGravityChartsNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

config

Type: string

Configuration from the Config tab.

Example: example

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example",
  "config": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For D3 Editor charts takes value: d3_node

Const: d3_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "d3_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example",
    "config": "example"
  }
}

EditorMarkdownNodeEditorMarkdownNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Markdown Editor charts takes value: markdown_node

Const: markdown_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "markdown_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorAdvancedChartNodeEditorAdvancedChartNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

prepare

Type: string

Configuration from the Prepare tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example",
  "prepare": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Advanced Editor charts takes value: advanced-chart_node

Const: advanced-chart_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "advanced-chart_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example",
    "prepare": "example"
  }
}

EditorSelectorNodeEditorSelectorNode

Name

Description

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

Creator of the entry.

Example: example

data

Type: object

controls

Type: string

Configuration from the Controls tab.

Example: example

meta

Type: string

Configuration from the Meta tab.

Example: example

params

Type: string

Configuration from the Params tab.

Example: example

sources

Type: string

Configuration from the Sources tab.

Example: example

Example
{
  "meta": "example",
  "params": "example",
  "sources": "example",
  "controls": "example"
}

entryId

Type: string

Unique identifier of the entry.

Example: example

hidden

Type: boolean

Indicates if the entry is hidden.

key

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

Key identifier of the entry.

Example: null

meta

Type: object | null

Metadata associated with the entry.

Example
{}

public

Type: boolean

Indicates if the entry is public.

publishedId

Type: string | null

Published version ID.

Example: example

revId

Type: string

Version ID for the Editor chart.

Example: example

savedId

Type: string

Saved version ID.

Example: example

scope

Type: string

Type of the entry. For charts takes value: widget

Const: widget

Example: example

tenantId

Type: string

Tenant ID.

Example: example

type

Type: string

For Editor JS selectors takes value: control_node

Const: control_node

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

Last updater of the entry.

Example: example

version

Type: number

Editor version.

Const: 1

workbookId

Any of 3 types
  • Type: null

    Example: null

  • Type: string

    Example: example

  • Type: null

    Example: null

ID of the workbook the Editor chart belongs to.

Example: null

annotation

Type: object | null

Annotation information.

Example
{
  "description": "example"
}

links

Type: object | null

Link information.

Example
{}
Example
{
  "version": 1,
  "entryId": "example",
  "key": null,
  "createdAt": "example",
  "createdBy": "example",
  "updatedAt": "example",
  "updatedBy": "example",
  "revId": "example",
  "savedId": "example",
  "publishedId": "example",
  "tenantId": "example",
  "hidden": true,
  "public": true,
  "workbookId": null,
  "scope": "widget",
  "meta": {},
  "links": {},
  "annotation": {
    "description": "example"
  },
  "type": "control_node",
  "data": {
    "meta": "example",
    "params": "example",
    "sources": "example",
    "controls": "example"
  }
}

Was the article helpful?

Previous
Overview
Next
Delete editor chart
© 2026 Direct Cursus Technology L.L.C.